

import matplotlib.pyplot as plt
import matplotlib.mlab as mlab

data1 = training.loc[training['salary']=="<=50K",:]
data2 = training.loc[training['salary']==">50K",:]

mu1, sd1 = data1['age'].mean(), data1['age'].std()
mu2, sd2 = data2['age'].mean(), data2['age'].std()

fig, (ax1, ax2) = plt.subplots(nrows=2)
n1, bins1, patches1 = ax1.hist(data1['age'].values, 25, normed=1)
y1 = mlab.normpdf(bins1, mu1, sd1)
ax1.plot(bins1, y1, '--')
ax1.set_title('<=50K')

n2, bins2, patches2 = ax2.hist(data2['age'].values, 25, normed=1)
y2 = mlab.normpdf(bins2, mu2, sd2)
ax2.plot(bins2, y2, '--')
ax2.set_title('<=50K')

fig.tight_layout()
plt.show()



